//    
//	  This file is part of MD5 Decrypter
//
//	  MD5 Decrypter is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

//	  Author: Matheus Bratfisch [matheusbrat AT gmail dot com]
// 	  Author: Olav P. Henschel [olav_ph at hotmail dot com]

package slave;

public class SequenciaDeStrings {

	private char[] string;
	private String stringLetras = "abcdefghijklmnopqrstuvwyxzABCDEFGHIJKLMNOPQRSTUVWYXZ|";
	
	
	public SequenciaDeStrings(String stringInicial) {
		string = stringInicial.toCharArray();
	}

	public String proximo() {
		for (int i=string.length-1; i>=0; i--) {
			int pos = stringLetras.indexOf(string[i]) + 1;
			string[i] = stringLetras.charAt(pos);
			if (string[i]=='|') {
				string[i] = 'a';
				if (i==0) {
					string = new char[string.length + 1];
					for (int j=0; j<string.length; j++) {
						string[j] = 'a';
					}
				}
			} else {
				break;
			}
		}
		return String.valueOf(string);
	}
	
	public String toString() {
		return String.valueOf(string);
	}

}
